Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.desktop
Class OutlookRecurrableStore

    java.lang.Object
      local.tomas.mobile.sync.obj.desktop.OutlookSyncStore
          local.tomas.mobile.sync.obj.desktop.OutlookRecurrableStore

All Implemented Interfaces:
  SyncStore

Direct Known Subclasses:
  OutlookEventStore, OutlookTaskStore

    public abstract class OutlookRecurrableStore

extends OutlookSyncStore

Field Summary

Fields inherited from class local.tomas.mobile.sync.obj.desktop.OutlookSyncStore
`category, folder, folderName, instance, normalizer, storeId`

Constructor Summary
`OutlookRecurrableStore()`

Method Summary
`java.util.Collection<SyncFieldDescription>` | `getFieldDescriptions()`

Methods inherited from class local.tomas.mobile.sync.obj.desktop.OutlookSyncStore
`close, deleteObject, deleteObject, getCategories, getCategory, getChangeCounter, getChangeLog, getDatabaseId, getDefaultFolderId, getFieldDescriptions, getFolder, getInstance, getNormalizer, getObjects, getOutlookFolder, isChangeCounterSupported, isTimestampSupported, prepareItem, saveObject, saveObject, setCategories, setCategory, setFolder, setInstance, setNormalizer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface local.tomas.mobile.sync.obj.SyncStore
`createObject, getAllObjects, getObject`

Constructor Detail

### OutlookRecurrableStore

    public OutlookRecurrableStore()

Method Detail

### getFieldDescriptions

    public java.util.Collection<SyncFieldDescription> getFieldDescriptions()

  Specified by:
    `getFieldDescriptions` in interface `SyncStore`
  Specified by:
    `getFieldDescriptions` in class `OutlookSyncStore`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.